Nav
You are viewing an older version of this section. Click here to navigate to the latest version.

Compatibility

Users run Mule ESB on many different operating systems in combination with a variety of messaging platforms and application servers. This page describes the platform software compatible with the current version of Mule ESB.

See Hardware and Software Requirements for information about hardware, operating systems, JDEs, and other software required to run Mule ESB, Mule Management Console, or Mule Studio.

Application Servers

The current release of Mule ESB supports the following application servers:

  • Tcat Server

  • Jetty 8

  • JBoss 6.1 (Enterprise)

  • JBoss 7 (Community)

  • Tomcat 7

  • WebSphere 7, 8

  • WebLogic 11g, 12c

Additionally, users have reported success deploying Mule ESB with the following application servers:

  • Geronimo

Messaging Platforms

The current release of Mule ESB supports the following messaging platforms:

  • ActiveMQ 5

  • IBM WebSphere MQ 6, 7

  • Oracle AQ

  • RabbitMQ 2.8.7

Additionally, users have reported successful integration via the following messaging platforms:

  • Open MQ 

  • TIBCO EMS

  • TIBCO Rendezvous

  • Hornet MQ

Database Servers

The current release of Mule ESB supports the following database servers:

  • Oracle 11g

  • SQL Server 2012

  • MySQL 5.6

  • DB2 10

Additionally, members of the community have reported success integrating with the following database servers:

  • Derby

  • PostgreSQL

See Also